vtk6 (6.3.0+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/99-hdf5-1.10-compatibility: Add. H5FD_class_t gained a new
    member in 1.10 which must now be initialised. H5FD_dsm_get_eof also
    changed type. (Closes: #846372)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 01 Dec 2016 11:19:54 +0000

vtk6 (6.3.0+dfsg1-2) unstable; urgency=medium

  * [4f0b4c6] d/control: Update dependencies on mysqlclient-dev, 
    Closes: #840788

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 15 Oct 2016 16:52:43 +0000

vtk6 (6.3.0+dfsg1-1) unstable; urgency=medium

  * [f583c9c] d/control,d/rules: Move arch:all B-D Closes: #821164
  * [3fb69a2] run 'cme fix dpkg-control'
  * [cf26bd0] Add rules for building/not building documentation
  * Uploadd to unstable Closes: #819714

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 28 May 2016 11:38:28 +0000

vtk6 (6.3.0+dfsg1-1~exp2) experimental; urgency=medium

  * [35606f3] d/control: Correct libvtk6-jni conflicts version to exclude 
       >= 1~exp1.

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 16 Apr 2016 11:29:31 +0000

vtk6 (6.3.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Gert Wollny ]
  * [b864c36] Remove all patches to prepare for update to 6.3.0
  * [4641342] d/watch: Correct repackage suffix
  * [e7e6dfa] Imported Upstream version 6.3.0+dfsg1
  * [1033ba0] Update patchset for new version
  * [b1828b6] * New upstream version 6.3.0, Closes: #805010
              * Move native java modules into new -jni package 
              * Enable use of system proj4, Closes: #750184

  [ Anton Gladky ]
  * Refresh patches.
  * Minor fixes in install-files.

 -- Anton Gladky <gladk@debian.org>  Thu, 14 Apr 2016 20:17:22 +0200

vtk6 (6.2.0+dfsg1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make libvtk6-dev depend on libhdf5-mpi-dev. (Closes: #820113)

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Apr 2016 20:10:50 +0200

vtk6 (6.2.0+dfsg1-11) unstable; urgency=medium

  * [efaf1ec] remove dependencies on libxdmf-dev because it is not be used
  * [7fd27ac] Revert use of system libproj4 for now, Closes: #819741
  * [a108eef] Prefer parallel HDF5 over serial
  * [f55e5ab] Limit cmake to >= 3.2 because of HDF5_PREFER_PARALLEL

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 04 Apr 2016 10:41:02 +0000

vtk6 (6.2.0+dfsg1-10) unstable; urgency=medium

  * [81e7008] d/p/101: Correct install path for Java files within build system
  * [61b464c] d/control: Set minimum version for libgl2ps-dev, Closes: #766491
  * [4ac3ffc] d/control: Enable module vtkRenderingExternal, Closes: #810344
  * [7ae06a0] d/p/102: Enable use of system proj4, Closes: #750184
  * [ce3f3ad] d/control: Enable system LIBPROJ4
  * [7720d44] Apply new patches 101 also 102 in source code
  * [d446bd8] d/control: Update standards version to 3.9.7
  * [70da96e] d/control: depends python-vtk6 and tcl-vtk6 on libvtk6.2-qt 
  * [2e881c5] Update watchfile to only search for 6.X.X versions
  * [e28b82b] d/control, d/rules: Move to qt5 also on armel, armhf
  * [f2883f3] d/p/104: Enables compiling with gcc-6. Closes: #812296

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 28 Mar 2016 08:55:49 +0000

vtk6 (6.2.0+dfsg1-9) unstable; urgency=medium

  * [842987d] Add the libvtk*Qt*.so files to libvtk6-qt-dev
  * [b9dee31] Update Java installation locations Closes: #773420 
  * [c15ed1e] Move Python packages out of *-dev packages and provide
      a symlink in the python-vtk6 package instead Closes: #737325
      Closes: #773379 
  * [74543a2] add overrides and move PythonTK lib to python package
  * [2685ea2] Make perl scripts executable

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 17 Feb 2016 12:13:56 +0000

vtk6 (6.2.0+dfsg1-8) unstable; urgency=medium

  [ Anton Gladky ]
  * [3bf2478] Add allow-stderr to autopkgtest. (Closes: #767338)

  [ Matthias Klose ]
  * [78abebb] Set JVM max memory to 1024m.

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Feb 2016 20:37:38 +0100

vtk6 (6.2.0+dfsg1-7) unstable; urgency=medium

  * Add patch 96_* to fix a race condition in vtkLookupTableMapData
  * Add patch 97_* to correct some formulae in documentation 
  * Add Gert Wollny to uploaders 

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 01 Feb 2016 00:38:48 +0100

vtk6 (6.2.0+dfsg1-6) unstable; urgency=medium

  * [18cd92a] Add missing libaec-dev to build-depends.

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Jan 2016 21:55:22 +0100

vtk6 (6.2.0+dfsg1-5) unstable; urgency=medium

  [ Anton Gladky ]
  * [5110a34] Remove libqtwebkit-dev from depends of libvtk6-qt-dev.
  * Update d/copyright. Thanks to Thorsten Alteholz for pointing this out.

  [ Gert Wollny ]
  * [8fd5f1f] Move vtk-doc perl-scripts to dev-package. (Closes: #751395)

  [ Andreas Tille ]
  * [9581b71] Re-introduce libvtk6-java. (Closes: #798963)
  * [9689d50] Remove files from Git repository that are not part of
              upstream source

  [ Bas Couwenberg ]
  * [429f902] Add patch for GDAL 2.0 support. (Closes: #802624)

  [ Andreas Cadhalpun ]
  * [8c4dcf0] Add support for FFmpeg 2.9. (Closes: #803869)

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Dec 2015 18:02:41 +0100

vtk6 (6.2.0+dfsg1-4) unstable; urgency=medium

  * [83a91c2] Move some more header-files into libvtk6-qt-dev. (Closes: #796891)
  * [4c30afa] Remove useless _formulas.log. First step to reproducible builds.

 -- Anton Gladky <gladk@debian.org>  Tue, 25 Aug 2015 20:13:44 +0200

vtk6 (6.2.0+dfsg1-3) unstable; urgency=medium

  [ Anton Gladky ]
  * [f225c63] Use the current tk-version. (Closes: #750200)
  * [c44cb24] Add BD on libnetcdf-cxx-legacy-dev. (Closes: #794040)

  [ Nico Schlömer ]
  * [1ec0dac] Provide MPI capabilities. (Closes: #789168)

 -- Anton Gladky <gladk@debian.org>  Sat, 08 Aug 2015 09:24:52 +0200

vtk6 (6.2.0+dfsg1-2) unstable; urgency=medium

  * [73ff79a] Fix compilation on arm* with missing Qt. (Closes: #793304)

 -- Anton Gladky <gladk@debian.org>  Wed, 29 Jul 2015 16:10:50 -0700

vtk6 (6.2.0+dfsg1-1) unstable; urgency=medium

  * [458b38a] Put Qt-files into a separate package. (Closes: #750193)
  * [880e68d] Remove Qt4 dependencies. (Closes: #784557, #765491)
  * [8e7e02a] Apply cme fix dpkg-control.
  * [541359c] Clean conflicts with obsolete packages.
  * [1734f03] Rename patches.

 -- Anton Gladky <gladk@debian.org>  Tue, 19 May 2015 23:30:34 +0200

vtk6 (6.2.0+dfsg1-1~exp1) experimental; urgency=medium

  * [0a01541] Update install-files for 6.2 version.
  * [4bc3890] Update/remove patches.
  * [874a7d6] Update d/rules.
  * [60c9ecc] Update d/copyright
  * [eb727c1] Remove old patches.
  * [9b57b0d] Fix dep-3 header in patch.
  * [3612db2] Imported Upstream version 6.2.0+dfsg1
  * [8121882] Use wrap-and-sort.
  * [895a399] Use cme fix dpkg-control.
  * [ff73402] Better fix for #773424.
  * [d31a99c] Update descriptions in d/control.

 -- Anton Gladky <gladk@debian.org>  Thu, 26 Mar 2015 19:15:10 +0100

vtk6 (6.1.0+dfsg2-6) unstable; urgency=medium

  [ James Cowgill ]
  * [0b9b309] Fix FTBFS due to new freetype. (Closes: #779802)

 -- Anton Gladky <gladk@debian.org>  Thu, 12 Mar 2015 18:44:44 +0100

vtk6 (6.1.0+dfsg2-5) unstable; urgency=medium

  * [8a28236] Remove libvtk6-java. (Closes: #773422)
  * [dd23d1b] Move TCL-libraries into /usr/lib. 
              Thanks Ansgar Burchardt for the hint.
              (Closes: #773424)

 -- Anton Gladky <gladk@debian.org>  Sat, 03 Jan 2015 21:06:27 +0100

vtk6 (6.1.0+dfsg2-4) unstable; urgency=medium

  [ Ondřej Surý ]
  * [b660a4f] Fix FTBFS against new libjpeg. (Closes: #765938)

  [ Anton Gladky ]
  * [2d2f360] Fix autopkgtest failures.

 -- Anton Gladky <gladk@debian.org>  Wed, 22 Oct 2014 21:11:52 +0200

vtk6 (6.1.0+dfsg2-3) unstable; urgency=medium

  * [37a6db8] Add missing "endif". (Closes: #763763)

 -- Anton Gladky <gladk@debian.org>  Fri, 03 Oct 2014 15:01:55 +0200

vtk6 (6.1.0+dfsg2-2) unstable; urgency=medium

  * [463aa5a] Use Qt4 on armel and armhf instead of Qt5. (Closes: #763763)

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Oct 2014 22:17:17 +0200

vtk6 (6.1.0+dfsg2-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * [00730bd] Switch vtk6 to Qt5. (Closes: #754948)

  [ Olly Betts ]
  * [38fb397] Update for wxPython 3.0. (Closes: #761413)

  [ Anton Gladky ]
  * [1187019] Imported Upstream version 6.1.0+dfsg
  * [b394a69] Add Examples/GUI/Win32/ into Files-Exclude.
  * [b066615] Use packages libjs-jquery instead of embedded.
  * [e7412a2] Set Standards-Version: 3.9.6. No changes.
  * [9aef415] Imported Upstream version 6.1.0+dfsg2

 -- Anton Gladky <gladk@debian.org>  Tue, 30 Sep 2014 23:08:30 +0200

vtk6 (6.1.0+dfsg-8) unstable; urgency=medium

  * [f813911] Add libxdmf-dev to Depends of libvtk6-dev.
  * [c470fe3] Install .so-files into site-packages. (Closes: #750474)
  * [2f93a13] Install vtkLocal. Causes #750474.
  * [b5e997c] Remove .pyc and .pyo files.

 -- Anton Gladky <gladk@debian.org>  Sat, 21 Jun 2014 09:13:50 +0200

vtk6 (6.1.0+dfsg-7) unstable; urgency=medium

  * [62edef6] Replace hdf5-mpi by hdf5-dev in BD to fix installation 
              problem due to libgdal-dev dependency.

 -- Anton Gladky <gladk@debian.org>  Sat, 14 Jun 2014 21:36:55 +0200

vtk6 (6.1.0+dfsg-6) unstable; urgency=medium

  * [f168c80] Rename bin/vtk to bin/vtk6
  * [38c7d65] Remove conflict between vtk6 and tcl-vtk. (Closes: #751249)
  * [bc645d1] Do not use system alglib temporarily.

 -- Anton Gladky <gladk@debian.org>  Thu, 12 Jun 2014 23:50:39 +0200

vtk6 (6.1.0+dfsg-5) unstable; urgency=medium

  * [1fe76a6] Fix BD for s390x (libhdf5-*-dev)

 -- Anton Gladky <gladk@debian.org>  Mon, 09 Jun 2014 13:41:45 +0200

vtk6 (6.1.0+dfsg-4) unstable; urgency=medium

  [ Anton Gladky ]
  * [26157d6] Fix compilation with gcc-4.9. (Closes: #746923)
  * [4ccd56b] Ignore quilt dir
  * [af6c085] Replace libvtk6 binary by libvtk6.1. (Closes: #749920)
  * [7cec1b3] Update changelog.
  * [762d041] Rename autopkgtests.
  * [94cb1d2] Fix duplicate in d/rules.
  * [ece06b2] Use system xdmf. (Closes: #750182)
  * [d266ed9] Use system sqlite. (Closes: #750183)
  * [d3a259a] Use system jsoncpp. (Closes: #750185)
  * [8beb5a9] Use system installed netcdf. (Closes: #750188)
  * [07755ea] Use system alglib. (Closes: #750187)
  * [f56ccbd] Remove vtkLocalExample from vtk6. (Closes: #750191)
  * [9694d41] Do not hardcode tcl version. (Closes: #750200)

  [ Mathieu Malaterre ]
  * [783c433] Do not override debian compilation flags. (Closes: #750205)
  * [7842505] Provide clean ABI. (Closes: #750206)
  * [741b601] Provide MRMPI implementation. (Closes: #750203)
  * [79b6e65] Remove documentation from libvtk6-dev. (Closes: #750408)
  * [6b9df91] Fix typo in debian/rules. (Closes: #750196)
  * [44e156d] Fix typo in debian/copyright. (Closes: #750409)
  * [126ea5d] Remove md5 files from documentation. (Closes: #750407)

 -- Anton Gladky <gladk@debian.org>  Thu, 05 Jun 2014 21:40:50 +0200

vtk6 (6.1.0+dfsg-3) unstable; urgency=medium

  * [208fbac] Remove RPATH from binaries. (Closes: #748667)

 -- Anton Gladky <gladk@debian.org>  Wed, 21 May 2014 21:54:40 +0200

vtk6 (6.1.0+dfsg-2) unstable; urgency=medium

  * [bac80b1] Fix FTBFS on many platforms in KWSYS. (Closes: #748552)

 -- Anton Gladky <gladk@debian.org>  Sun, 18 May 2014 12:55:27 +0200

vtk6 (6.1.0+dfsg-1) unstable; urgency=medium

  * [412063d] Update debian watch.
  * [b7cb12b] Exclude Web/*
  * [1187019] Imported Upstream version 6.1.0+dfsg. (Closes: #748053)
  * [b79b4ae] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sat, 17 May 2014 21:55:34 +0200

vtk6 (6.0.0-7) unstable; urgency=medium

  * [9796292] Add some more entries in Depends section of libvtk6-dev.
  * [781eb7c] Remove old unused patches.
  * [a0f2514] Compile java module with -target 1.5. 
              Thanks to Gianfranco Costamagna <costamagnagianfranco@yahoo.it>.
              (Closes: #747108)
  * [15c0d26] Inject -Wl,--as-needed LDFLAGS.

 -- Anton Gladky <gladk@debian.org>  Fri, 09 May 2014 20:25:28 +0200

vtk6 (6.0.0-6) unstable; urgency=medium

  * [932d19c] Add some more entries in Depends section of libvtk6-dev.
              (Closes: #742629)
  * [efbf5d1] Fix VTKTargets.cmake. (Closes: #741927)
  * [7ee8293] Build instantiator. (Closes: #741928)

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Mar 2014 21:54:22 +0100

vtk6 (6.0.0-5) unstable; urgency=medium

  [ Anton Khirnov ]
  * [675402e] Fix libav10-compilation. (Closes: #739456)

  [ Anton Gladky ]
  * [5571d39] Add some depends for libvtk6-dev.
  * [1dbe2cf] Use /usr/bin/vtk instead /usr/bin/vtk6
  * [00730af] Add conflict of vtk6 with tcl-vtk.

 -- Anton Gladky <gladk@debian.org>  Wed, 12 Mar 2014 22:39:16 +0100

vtk6 (6.0.0-4) unstable; urgency=medium

  * [dac7bea] Declare python-vtk6 as conflicted with 
              python-vtk. (Closes: #737288)

 -- Anton Gladky <gladk@debian.org>  Fri, 07 Feb 2014 21:08:39 +0100

vtk6 (6.0.0-3) unstable; urgency=medium

  * [2c49a31] Rename vtkpython to vtk6python. (Closes: #737288)

 -- Anton Gladky <gladk@debian.org>  Wed, 05 Feb 2014 19:14:15 +0100

vtk6 (6.0.0-2) unstable; urgency=medium

  * [d293466] Move Build-Depends-Indep BD to Build-Depends.
  * [2cc14aa] Replace bin/vtk by bin/vtk6. (Closes: #737190)
  * [582a7f7] Rename vtk.jar on vtk6.jar. (Closes: #737189)
  * [052a215] Use wrap-and-sort.
  * [61d6f06] Remove conflict libvtk5 and libvtk6.

 -- Anton Gladky <gladk@debian.org>  Fri, 31 Jan 2014 20:45:06 +0100

vtk6 (6.0.0-1) unstable; urgency=low

  * Initial packaging for vtk6. (Closes: #729086)

 -- Anton Gladky <gladk@debian.org>  Tue, 07 Jan 2014 21:26:32 +0100
